org.apache.mina.service.executor

## Interface EventVisitor

    public interface EventVisitor

Implement this interface for implementing different behavior on different `Event`.

Author:
  Apache MINA Project

### Method Summary

Methods
`void` `visit(CloseEvent event)`
`void` `visit(IdleEvent event)`
`void` `visit(OpenEvent event)`
`void` `visit(ReceiveEvent event)`
`void` `visit(SentEvent event)`

### Method Detail

#### visit

    void visit(OpenEvent event)

#### visit

    void visit(CloseEvent event)

#### visit

    void visit(ReceiveEvent event)

#### visit

    void visit(SentEvent event)

#### visit

    void visit(IdleEvent event)